#!/bin/sh

#
# Driver Initialization Script
#
# This script should be run at system startup to load the driver kernel
# module.  The install.sh script should be run first to build the kernel
# module.  The kernel module will only load correctly under the kernel
# it was compiled for.
#
# This is required for driver interrupt operations.  If you are not using
# interrupt features of the driver there is no need to run this script.
#
# See the online documentation at http://docs.diamondsystems.com/dscud/ 
# for more information.
#

#
# Change this if a device with this number already exists on your system.
# Numbers 250 - 255 are normally free.
#
DEVICE_MAJOR=252

#
# Create the /dev/dscud device if it does not exist.
#
if [[ ! -e /dev/dscud ]]; then {
	/bin/mknod /dev/dscud c $DEVICE_MAJOR 0
}
fi

#
# Load the kernel module
#
/sbin/rmmod dscudkp > /dev/null 2>&1
/sbin/insmod /lib/modules/misc/dscudkp.*o dscud_major=$DEVICE_MAJOR

